You are here    Supported software    Google SketchUp nl sv ru pl es de fr

Google SketchUp

Informations

Creator Message
bastien09

Information

This installer has been approved by the team.

Informations

Platforms:
Downloads: 176706
Wine: 1.7.22

Feedbacks

Source code

#!/bin/bash
# Date : (2011-11-06 21-34)
# Last revision : (2013-07-11 23-38)
# Wine version used : 1.5.0
# Distribution used to test :
# Author : NSLW & Tutul (update)

# CHANGELOG
# [SuperPlumus] (2012-04-08 07-36)
#   Change Wine version 1.3.7 -> 1.5.0
#   Add HW_OK=1 key in registry
# [SuperPlumus] (2013-06-23 19-37)
#   Update gettext messages
#   Update regedit -> POL_Wine regedit
# [petch] (2014-07-11 23-38)
#   Change Wine version 1.5.0 -> 1.7.22

[ "$PLAYONLINUX" = "" ] && exit
source "$PLAYONLINUX/lib/sources"

TITLE="Google SketchUp"
PREFIX="GoogleSketchUp"
WORKING_WINE_VERSION="1.7.22"
LOCALE="en_EN.utf8" #default localisation

POL_SetupWindow_Init
POL_Debug_Init

POL_SetupWindow_presentation "$TITLE" "Google" "http://sketchup.google.com/" "NSLW" "$PREFIX"

POL_Wine_SelectPrefix "$PREFIX"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"

POL_System_TmpCreate "$PREFIX"

#POL_Call POL_Install_gecko

POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"

if [ "$INSTALL_METHOD" = "DOWNLOAD" ]
then

POL_SetupWindow_menu "$(eval_gettext 'What language do you want to install?')" "Language Selection" \
    "English|Deutsch|Español|Português (BR)|Français|???????|Italiano|Nederlands|???|????|????" "|"
case "$APP_ANSWER" in
    "English")
        DOWNLOAD_LINK="http://dl.google.com/sketchup/GoogleSketchUpWEN.exe"
        LOCALE="en_EN.utf8";;
    "Deutsch")
        DOWNLOAD_LINK="http://dl.google.com/sketchup/GoogleSketchUpWDE.exe"
        LOCALE="de_DE.utf8";;
    "Español")
        DOWNLOAD_LINK="http://dl.google.com/sketchup/GoogleSketchUpWES.exe"
        LOCALE="es_ES.utf8";;
    "Português (BR)")
        DOWNLOAD_LINK="http://dl.google.com/sketchup/GoogleSketchUpWPT-BR.exe"
        LOCALE="pt_BR.utf8";;
    "Français")
        DOWNLOAD_LINK="http://dl.google.com/sketchup/GoogleSketchUpWFR.exe"
        LOCALE="fr_FR.utf8";;
    "???????")
        DOWNLOAD_LINK="http://dl.google.com/sketchup/GoogleSketchUpWRU.exe"
        LOCALE="ru_RU.utf8";;
    "Italiano")
        DOWNLOAD_LINK="http://dl.google.com/sketchup/GoogleSketchUpWIT.exe"
        LOCALE="it_IT.utf8";;
    "Nederlands")
        DOWNLOAD_LINK="http://dl.google.com/sketchup/GoogleSketchUpWNL.exe"
        LOCALE="nl_NL.utf8";;
    "???") 
        DOWNLOAD_LINK="http://dl.google.com/sketchup/GoogleSketchUpWKO.exe"
        LOCALE="ko_KR.utf8";;
    "????")
        DOWNLOAD_LINK="http://dl.google.com/sketchup/GoogleSketchUpWZH-TW.exe"
        LOCALE="zh_TW.utf8";;
    "????")
        DOWNLOAD_LINK="http://dl.google.com/sketchup/GoogleSketchUpWZH-CN.exe"
        LOCALE="zh_CN.utf8";;
    *)
        exit 1 ;;
esac

cd "$POL_System_TmpDir"
POL_Download "$DOWNLOAD_LINK" ""
POL_Wine_WaitBefore "$TITLE"
EXE_FILE="${DOWNLOAD_LINK##*/}"
POL_Wine start /unix ${EXE_FILE}
POL_Wine_WaitExit "$TITLE"

fi
if [ "$INSTALL_METHOD" = "LOCAL" ]
then

cd "$HOME"
POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
POL_Wine_WaitBefore "$TITLE"
POL_Wine start /unix "$APP_ANSWER"
POL_Wine_WaitExit "$TITLE"

fi

POL_SetupWindow_message "$(eval_gettext 'If you are using localised binary, you must 
have the correct locale package installed.\n\n
If the Google SketchUp language differs from your desktop setting you 
must prefix the launch by forcing your locale.\n
   - Go to : Configure > Google Sketchup (Shortcut) > Miscellaneous \n\n
   - Write and adapt the following line depending on your locale in the "Command to exec before running the program" field:\n\n
      export LANG=<set_your_locale_here>
')" "$TITLE"

cat << EOF > "$POL_System_TmpDir/RegModif.reg"
[HKEY_CURRENT_USER\Software\Google\SketchUp8\GLConfig\Display]
"HW_OK"="1"
EOF
POL_Wine regedit "$POL_System_TmpDir/RegModif.reg"

POL_Wine_SetVideoDriver

POL_System_TmpDelete

POL_Shortcut "SketchUp.exe" "$TITLE" # "SketchUp.png"

#POL_Shortcut_InsertBeforeWine "$TITLE" "export LANG=$LOCALE" # Force localisation

POL_SetupWindow_Close
exit

Contributions

Filters:

Contribute
Member Message
Fanch Wednesday 11 October 2017 at 9:49
Fanch

Message

-- English version under the french one --

Bonjour,

L'installateur fonctionne, Sketchup se lance jusqu'au panneau où il demande sur quel modèle commencer. Là, au chargement du logiciel avec espace de travail etc,  il affiche un écran noir avec uniquement la souris qui change selon la zone survolée (un crayon, une double flèche, une flèche...).

Impossible de changer de programme (Alt+Tab), de le fermer (Ctrl+q ou Alt+F4)

La seule solution pour sortir de ce bug est de changer de Terminal (Ctrl+Alt+F1) et faire un "sudo reboot" à l'aveugle.

 

J'ais essayé plusieurs autre installataion manuelle (2016 32bit , 2017 64bit) avec différentes version de wine, et je me retrouve au mieux avec cette erreur d'écran noir avec une souris. Même avec le module wineticks "Fix_ATI_no_black_screen" (ou quelque chose comme ça).

------------------

Hi !

The POL Installator works, Sketchup starts until its first screen prosposing a model for beginning. When the workspace is launched the whole screen get black but the mouse that keeps changing its shape according some invisible background (pencil, arrow, double-arrow...).

No way in switching programme (Alt+Tab) or closing it (Ctrl+q ou Alt+F4)

The only way is to make a blind reboot from an other terminal (Ctrl+Alt+F1) 

 

I tried many other manual instalaltion (2016 32bit, 2017 64bit) with different wine version (HQ, Stable, Stagging, 2.18 ) and my best installation gave me the same "black screen with mouse" error, even with the winetricks modules called "Fix_ATI_no_black_screen"  or something.

-------------------

 

[10/10/17 21:39:49] - Running wine-1.7.22 --version (Working directory : /home/fanch/.PlayOnLinux/wine/mono)
wine-1.7.22

PlayOnLinux logfile
-------------------
Date: 10/10/17 21:39:49

> PlayOnLinux Version
  4.2.11
> uname -a
  Linux Ventilo 4.10.0-35-generic #39~16.04.1-Ubuntu SMP Wed Sep 13 09:02:42 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux
> lsb_release -a
  
> wine --version
  wine-1.7.22
> POL_WINEVERSION
  1.7.22
> WINEPREFIX
  /home/fanch/.PlayOnLinux//wineprefix/GoogleSketchUp
> Distribution
  elementary OS 0.4.1 Loki
> glxinfo \| grep rendering
  direct rendering: Yes
> glxinfo \| grep renderer
      GLX_MESA_multithread_makecurrent, GLX_MESA_query_renderer, 
    GLX_MESA_multithread_makecurrent, GLX_MESA_query_renderer, 
Extended renderer info (GLX_MESA_query_renderer):
OpenGL renderer string: Gallium 0.4 on AMD CAICOS (DRM 2.49.0 / 4.10.0-35-generic, LLVM 4.0.0)
> OpenGL libs (Direct rendering testing)
  32bits direct rendering is enabled
  64bits direct rendering is enabled

[10/10/17 21:40:14] - Running wine-1.7.22 cmd /c echo %ProgramFiles% (Working directory : /home/fanch/.PlayOnLinux/wine/mono)
C:\Program Files
[10/10/17 21:50:48] - Running wine-1.7.22 start /unix GoogleSketchUpWFR.exe (Working directory : /home/fanch/.PlayOnLinux/tmp/GoogleSketchUp)
fixme:ntdll:NtLockFile I/O completion on lock not implemented yet
err:richedit:ReadStyleSheet skipping optional destination
err:richedit:ReadStyleSheet skipping optional destination
fixme:msi:event_spawn_wait_dialog doing nothing
[10/10/17 21:56:36] - Running wine-1.7.22 regedit /home/fanch/.PlayOnLinux//tmp/GoogleSketchUp/RegModif.reg (Working directory : /home/fanch/.PlayOnLinux/tmp/GoogleSketchUp)
[10/10/17 21:56:36] - Content of /home/fanch/.PlayOnLinux//tmp/GoogleSketchUp/RegModif.reg
-----------
[HKEY_CURRENT_USER\Software\Google\SketchUp8\GLConfig\Display]
"HW_OK"="1"
-----------
[10/10/17 21:56:37] - Running wine-1.7.22 regedit /home/fanch/.PlayOnLinux//tmp/VGA_ID_fix.reg (Working directory : /home/fanch/.PlayOnLinux/tmp/GoogleSketchUp)
[10/10/17 21:56:37] - Content of /home/fanch/.PlayOnLinux//tmp/VGA_ID_fix.reg
-----------
REGEDIT4

[HKEY_CURRENT_USER\Software\Wine\Direct3D]
"VideoPCIVendorID"=dword:00001002
"VideoPCIDeviceID"=dword:00006779
"VideoDriver"="ati2dvag.dll"
-----------
[10/10/17 21:56:37] - Running wine-1.7.22 winepath -u C:\\users\\fanch\\Bureau (Working directory : /home/fanch/.PlayOnLinux/wine/linux-x86)
/home/fanch/.PlayOnLinux//wineprefix/GoogleSketchUp/dosdevices/c:/users/fanch/Bureau
[10/10/17 21:56:47] - Running wine-1.7.22 SketchUp.exe (Working directory : /home/fanch/.PlayOnLinux/wineprefix/GoogleSketchUp/drive_c/Program Files/Google/Google SketchUp 8)
fixme:actctx:parse_depend_manifests Could not find dependent assembly L"Microsoft.VC80.MFCLOC" (8.0.50608.0)
fixme:wininet:InternetSetOptionW INTERNET_OPTION_SEND/RECEIVE_TIMEOUT/DATA_SEND_TIMEOUT 30000
fixme:wininet:InternetSetOptionW INTERNET_OPTION_SEND/RECEIVE_TIMEOUT/DATA_SEND_TIMEOUT 30000
fixme:wininet:InternetSetOptionW INTERNET_OPTION_CONNECT_RETRIES 0
fixme:msvcrt:type_info_name_internal_method type_info_node parameter ignored

Intrinsic Alchemy v3.3 Beta-0702 (Dynamic/Release)
Built by <unknown> on Fri Jul 2 00:00:00 2010

fixme:wininet:InternetCheckConnectionW 
fixme:wininet:InternetSetOptionW INTERNET_OPTION_SEND/RECEIVE_TIMEOUT/DATA_SEND_TIMEOUT 30000
fixme:wininet:InternetSetOptionW INTERNET_OPTION_SEND/RECEIVE_TIMEOUT/DATA_SEND_TIMEOUT 30000
fixme:ieframe:PersistStreamInit_InitNew (0x1ac850)
fixme:ieframe:navigate_url Unsupported args (Flags {VT_I4: 4}; TargetFrameName {VT_BSTR: (null)})
fixme:urlmon:InternetBindInfo_GetBindString not supported string type 20
fixme:ieframe:navigate_url Unsupported args (Flags {VT_I4: 4}; TargetFrameName {VT_BSTR: (null)})
fixme:urlmon:InternetBindInfo_GetBindString not supported string type 20
fixme:ieframe:handle_navigation_error Navigate to error page
fixme:ieframe:handle_navigation_error Navigate to error page
fixme:ieframe:WebBrowser_Stop (0x1ac850)
fixme:ieframe:navigate_url Unsupported args (Flags {VT_I4: 4}; TargetFrameName {VT_BSTR: (null)})
fixme:iphlpapi:NotifyAddrChange (Handle 0x3f5e8c0, overlapped 0x3f5e8cc): stub
fixme:imm:ImmReleaseContext (0x100b6, 0x1d1438): stub
fixme:win:EnumDisplayDevicesW ((null),0,0x33d9e4,0x00000000), stub!
fixme:font:get_outline_text_metrics failed to read full_nameW for font L".\007f"!
fixme:ole:RemUnknown_QueryInterface No interface for iid {00000019-0000-0000-c000-000000000046}
fixme:ntdll:NtLockFile I/O completion on lock not implemented yet
fixme:ieframe:BrowserService_GetTravelLog 0x1c10f0 0x33e644
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 84 of CGID_ShellDocView
fixme:ieframe:ClOleCommandTarget_QueryStatus (0x1ac908)->((null) 1 0x33e604 (nil))
fixme:ieframe:ClOleCommandTarget_QueryStatus command_0: 27, 0x0
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 25
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 26
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 37 of CGID_ShellDocView
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 84 of CGID_ShellDocView
fixme:ieframe:ClientSite_GetContainer (0x1ac908)->(0x33e62c)
fixme:mshtml:nsChannel_GetContentDisposition (0x4b21018)->(0x33dd40)
fixme:mshtml:nsChannel_GetContentDispositionHeader (0x4b21018)->(0x33d560)
fixme:ieframe:ClientSite_GetContainer (0x1ac908)->(0x33f70c)
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 25
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 26
fixme:ieframe:DocHostUIHandler_GetDropTarget (0x1ac908)
fixme:dwmapi:DwmGetCompositionTimingInfo ((nil) 0x33f3c8)
fixme:advapi:RegisterTraceGuidsW (0x6aee5270, 0x48484a8, {509962e0-406b-46f4-99ba-5a009f8d2225}, 3, 0x497cd58, (null), (null), 0x48484d8): stub
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 69 of CGID_Explorer
fixme:ieframe:PropertyNotifySink_OnChanged unimplemented dispid 1005
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 69 of CGID_Explorer
fixme:mshtml:nsChannel_GetContentDispositionHeader (0x1ca360)->(0x33e0d4)
fixme:resource:GetGuiResources (0xffffffff,0): stub
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 26
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 103 of CGID_ShellDocView
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 2315 of group {de4ba900-59ca-11cf-9592-444553540000}
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 35
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 28
fixme:ieframe:ControlSite_OnFocus (0x1ac908)->(1)
fixme:imm:ImmGetOpenStatus (0x1d1438): semi-stub
fixme:ieframe:ControlSite_OnFocus (0x1ac908)->(0)
fixme:ieframe:InPlaceSite_OnInPlaceDeactivateEx fNoRedraw (1) ignored
fixme:mshtml:HlinkTarget_SetBrowseContext (0x1ca5c8)->((nil))
fixme:ieframe:OleInPlaceObject_InPlaceDeactivate (0x1ac850)
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:ieframe:PersistStreamInit_InitNew (0x586a388)
fixme:ieframe:navigate_url Unsupported args (Flags {VT_I4: 4}; TargetFrameName {VT_BSTR: (null)})
fixme:ieframe:BrowserService_GetTravelLog 0x586dd20 0x33b244
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 84 of CGID_ShellDocView
fixme:ieframe:ClOleCommandTarget_QueryStatus (0x586a440)->((null) 1 0x33b204 (nil))
fixme:ieframe:ClOleCommandTarget_QueryStatus command_0: 27, 0x0
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 25
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 26
fixme:mshtml:OleControl_OnAmbientPropertyChange not supported AMBIENT_USERAGENT
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 37 of CGID_ShellDocView
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 84 of CGID_ShellDocView
fixme:ieframe:ClientSite_GetContainer (0x586a440)->(0x33b22c)
fixme:mshtml:nsChannel_GetContentDisposition (0x586f450)->(0x33a940)
fixme:mshtml:nsChannel_GetContentDispositionHeader (0x586f450)->(0x33a160)
fixme:ieframe:ClientSite_GetContainer (0x586a440)->(0x33c30c)
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 25
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 26
fixme:ieframe:navigate_url Unsupported args (Flags {VT_I4: 4}; TargetFrameName {VT_BSTR: (null)})
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wininet:InternetSetOptionW INTERNET_OPTION_SEND/RECEIVE_TIMEOUT/DATA_SEND_TIMEOUT 30000
fixme:wininet:InternetSetOptionW INTERNET_OPTION_SEND/RECEIVE_TIMEOUT/DATA_SEND_TIMEOUT 30000
fixme:wininet:InternetSetOptionW INTERNET_OPTION_CONNECT_RETRIES 0
fixme:wininet:InternetCheckConnectionW 
fixme:ieframe:DocHostUIHandler_GetDropTarget (0x586a440)
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 67 of CGID_ShellDocView
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 63 of CGID_ShellDocView
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 84 of CGID_ShellDocView
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 69 of CGID_Explorer
fixme:ieframe:PropertyNotifySink_OnChanged unimplemented dispid 1005
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 69 of CGID_Explorer
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 26
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 103 of CGID_ShellDocView
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 2315 of group {de4ba900-59ca-11cf-9592-444553540000}
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 35
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 28
fixme:ieframe:ClientSite_GetContainer (0x586a440)->(0x33f3cc)
fixme:mshtml:nsChannel_GetContentDisposition (0x586f3e0)->(0x33ddf0)
fixme:mshtml:nsChannel_GetContentDispositionHeader (0x586f3e0)->(0x33d610)
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 25
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 26
fixme:ieframe:DocHostUIHandler_GetDropTarget (0x586a440)
fixme:jscript:JScriptProperty_SetProperty Unimplemented property 70000001
fixme:jscript:JScriptProperty_SetProperty Unimplemented property 70000002
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 69 of CGID_Explorer
fixme:ieframe:PropertyNotifySink_OnChanged unimplemented dispid 1005
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 69 of CGID_Explorer
fixme:mshtml:nsChannel_GetContentDispositionHeader (0x586a270)->(0x33e354)
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 26
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 103 of CGID_ShellDocView
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 2315 of group {de4ba900-59ca-11cf-9592-444553540000}
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 35
fixme:wininet:InternetCheckConnectionW 
fixme:ieframe:navigate_url Unsupported args (Flags {VT_I4: 4}; TargetFrameName {VT_BSTR: (null)})
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 67 of CGID_ShellDocView
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 63 of CGID_ShellDocView
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 84 of CGID_ShellDocView
fixme:ieframe:ClientSite_GetContainer (0x586a440)->(0x33f3cc)
fixme:mshtml:nsChannel_GetContentDisposition (0x588bd50)->(0x33ddf0)
fixme:mshtml:nsChannel_GetContentDispositionHeader (0x588bd50)->(0x33d610)
fixme:jscript:JScript_SetScriptState unimplemented state 3
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 25
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 26
fixme:ieframe:DocHostUIHandler_GetDropTarget (0x586a440)
fixme:jscript:JScriptProperty_SetProperty Unimplemented property 70000001
fixme:jscript:JScriptProperty_SetProperty Unimplemented property 70000002
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 69 of CGID_Explorer
fixme:ieframe:PropertyNotifySink_OnChanged unimplemented dispid 1005
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 69 of CGID_Explorer
fixme:mshtml:nsChannel_GetContentDispositionHeader (0x58b22f8)->(0x33de44)
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 26
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 103 of CGID_ShellDocView
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 2315 of group {de4ba900-59ca-11cf-9592-444553540000}
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 35
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 28
fixme:ieframe:navigate_url Unsupported args (Flags {VT_I4: 4}; TargetFrameName {VT_BSTR: (null)})
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 67 of CGID_ShellDocView
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 63 of CGID_ShellDocView
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 84 of CGID_ShellDocView
fixme:ieframe:ClientSite_GetContainer (0x586a440)->(0x33f3cc)
fixme:mshtml:nsChannel_GetContentDisposition (0x1b20c8)->(0x33ddf0)
fixme:mshtml:nsChannel_GetContentDispositionHeader (0x1b20c8)->(0x33d610)
fixme:jscript:JScript_SetScriptState unimplemented state 3
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 25
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 26
fixme:ieframe:DocHostUIHandler_GetDropTarget (0x586a440)
fixme:jscript:JScriptProperty_SetProperty Unimplemented property 70000001
fixme:jscript:JScriptProperty_SetProperty Unimplemented property 70000002
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 69 of CGID_Explorer
fixme:ieframe:PropertyNotifySink_OnChanged unimplemented dispid 1005
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 69 of CGID_Explorer
fixme:mshtml:nsChannel_GetContentDispositionHeader (0x58b9198)->(0x33de44)
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 26
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 103 of CGID_ShellDocView
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 2315 of group {de4ba900-59ca-11cf-9592-444553540000}
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 35
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 28
fixme:ieframe:navigate_url Unsupported args (Flags {VT_I4: 4}; TargetFrameName {VT_BSTR: (null)})
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 67 of CGID_ShellDocView
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 63 of CGID_ShellDocView
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 84 of CGID_ShellDocView
fixme:ieframe:ClientSite_GetContainer (0x586a440)->(0x33f8dc)
fixme:mshtml:nsChannel_GetContentDisposition (0x588bf28)->(0x33e300)
fixme:mshtml:nsChannel_GetContentDispositionHeader (0x588bf28)->(0x33db20)
fixme:jscript:JScript_SetScriptState unimplemented state 3
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 25
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 26
fixme:ieframe:DocHostUIHandler_GetDropTarget (0x586a440)
fixme:jscript:JScriptProperty_SetProperty Unimplemented property 70000001
fixme:jscript:JScriptProperty_SetProperty Unimplemented property 70000002
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 69 of CGID_Explorer
fixme:ieframe:PropertyNotifySink_OnChanged unimplemented dispid 1005
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 69 of CGID_Explorer
fixme:mshtml:nsChannel_GetContentDispositionHeader (0x58db218)->(0x33e354)
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 26
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 103 of CGID_ShellDocView
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 2315 of group {de4ba900-59ca-11cf-9592-444553540000}
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 35
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 28
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
XIO:  fatal IO error 11 (Ressource temporairement non disponible) on X server ":0"
      after 375 requests (375 known processed) with 0 events remaining.
XIO:  fatal IO error 11 (Ressource temporairement non disponible) on X server ":0"
      after 28636 requests (28434 known processed) with 32 events remaining.

 

Replies

MarkTheMorose Sunday 19 February 2017 at 16:20
MarkTheMorose Anonymous

Message

Starts, gets to 'choose a layout', then crashes.  The log seems to be talking about 32-bit graphics drivers.  I've read posts about needing a 32-bit version of WINE, which I thought was supposed to install the necessary drivers.  And according to the x86 and amd64 tabs in 'Manage WINE versions' in POL, I only have 32-bit versions of WINE installed.

This is extrememly frustrating; there are videos on YouTube of people effortlessly installing this program and running it, so what's stopping it from running for me?

This is playonlinux.log:

[02/19/17 14:50:37] - Running wine-1.7.22 --version (Working directory : /usr/share/playonlinux/python)
wine-1.7.22

PlayOnLinux logfile
-------------------
Date: 02/19/17 14:50:37

> PlayOnLinux Version
  4.2.2
> uname -a
  Linux mark-desktop-lm 3.13.0-100-generic #147-Ubuntu SMP Tue Oct 18 16:48:51 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
> lsb_release -a
  
> wine --version
  wine-1.7.22
> POL_WINEVERSION
  1.7.22
> WINEPREFIX
  /home/mark/.PlayOnLinux//wineprefix/GoogleSketchUp
> Distribution
  Linux Mint 17.3 Rosa
> glxinfo \| grep rendering
  direct rendering: Yes
> glxinfo \| grep renderer
      GLX_MESA_multithread_makecurrent, GLX_MESA_query_renderer, 
    GLX_MESA_multithread_makecurrent, GLX_MESA_query_renderer, 
OpenGL renderer string: Mesa DRI Intel(R) Sandybridge Desktop 
> OpenGL libs (Direct rendering testing)
  
  

[02/19/17 14:51:12] - Running wine-1.7.22 cmd /c echo %ProgramFiles% (Working directory : /usr/share/playonlinux/python)
C:\Program Files
[02/19/17 14:51:32] - Running wine-1.7.22 start /unix GoogleSketchUpWEN.exe (Working directory : /home/mark/.PlayOnLinux/tmp/GoogleSketchUp)
fixme:ntdll:NtLockFile I/O completion on lock not implemented yet
fixme:msi:event_spawn_wait_dialog doing nothing
[02/19/17 14:52:10] - Running wine-1.7.22 regedit /home/mark/.PlayOnLinux//tmp/GoogleSketchUp/RegModif.reg (Working directory : /home/mark/.PlayOnLinux/tmp/GoogleSketchUp)
[02/19/17 14:52:10] - Content of /home/mark/.PlayOnLinux//tmp/GoogleSketchUp/RegModif.reg
-----------
[HKEY_CURRENT_USER\Software\Google\SketchUp8\GLConfig\Display]
"HW_OK"="1"
-----------
[02/19/17 14:52:12] - Running wine-1.7.22 regedit /home/mark/.PlayOnLinux//tmp/VGA_ID_fix.reg (Working directory : /home/mark/.PlayOnLinux/tmp/GoogleSketchUp)
[02/19/17 14:52:12] - Content of /home/mark/.PlayOnLinux//tmp/VGA_ID_fix.reg
-----------
REGEDIT4

[HKEY_CURRENT_USER\Software\Wine\Direct3D]
"VideoPCIVendorID"="dword:00008086"
"VideoPCIDeviceID"="dword:00000102"
"VideoDriver"="ig4icd32.dll"
-----------
[02/19/17 14:53:34] - Running wine-1.7.22 SketchUp.exe (Working directory : /home/mark/.PlayOnLinux/wineprefix/GoogleSketchUp/drive_c/Program Files/Google/Google SketchUp 8)

Intrinsic Alchemy v3.3 Beta-0702 (Dynamic/Release)
Built by <unknown> on Fri Jul 2 00:00:00 2010

p11-kit: couldn't load module: /usr/lib/i386-linux-gnu/pkcs11/p11-kit-trust.so: /usr/lib/i386-linux-gnu/pkcs11/p11-kit-trust.so: cannot open shared object file: No such file or directory
libGL error: dlopen /usr/lib/i386-linux-gnu/dri/i965_dri.so failed (/usr/lib/i386-linux-gnu/dri/i965_dri.so: cannot open shared object file: No such file or directory)
libGL error: dlopen ${ORIGIN}/dri/i965_dri.so failed (${ORIGIN}/dri/i965_dri.so: cannot open shared object file: No such file or directory)
libGL error: dlopen /usr/lib/dri/i965_dri.so failed (/usr/lib/dri/i965_dri.so: cannot open shared object file: No such file or directory)
libGL error: unable to load driver: i965_dri.so
libGL error: driver pointer missing
libGL error: failed to load driver: i965
libGL error: dlopen /usr/lib/i386-linux-gnu/dri/swrast_dri.so failed (/usr/lib/i386-linux-gnu/dri/swrast_dri.so: cannot open shared object file: No such file or directory)
libGL error: dlopen ${ORIGIN}/dri/swrast_dri.so failed (${ORIGIN}/dri/swrast_dri.so: cannot open shared object file: No such file or directory)
libGL error: dlopen /usr/lib/dri/swrast_dri.so failed (/usr/lib/dri/swrast_dri.so: cannot open shared object file: No such file or directory)
libGL error: unable to load driver: swrast_dri.so
libGL error: failed to load driver: swrast
X Error of failed request:  GLXBadCurrentWindow
  Major opcode of failed request:  155 (GLX)
  Minor opcode of failed request:  1 (X_GLXRender)
  Serial number of failed request:  15882
  Current serial number in output stream:  15924
[02/19/17 15:11:53] - Running wine-1.7.22 SketchUp.exe (Working directory : /home/mark/.PlayOnLinux/wineprefix/GoogleSketchUp/drive_c/Program Files/Google/Google SketchUp 8)

Intrinsic Alchemy v3.3 Beta-0702 (Dynamic/Release)
Built by <unknown> on Fri Jul 2 00:00:00 2010

libGL error: dlopen /usr/lib/i386-linux-gnu/dri/i965_dri.so failed (/usr/lib/i386-linux-gnu/dri/i965_dri.so: cannot open shared object file: No such file or directory)
libGL error: dlopen ${ORIGIN}/dri/i965_dri.so failed (${ORIGIN}/dri/i965_dri.so: cannot open shared object file: No such file or directory)
libGL error: dlopen /usr/lib/dri/i965_dri.so failed (/usr/lib/dri/i965_dri.so: cannot open shared object file: No such file or directory)
libGL error: unable to load driver: i965_dri.so
libGL error: driver pointer missing
libGL error: failed to load driver: i965
libGL error: dlopen /usr/lib/i386-linux-gnu/dri/swrast_dri.so failed (/usr/lib/i386-linux-gnu/dri/swrast_dri.so: cannot open shared object file: No such file or directory)
libGL error: dlopen ${ORIGIN}/dri/swrast_dri.so failed (${ORIGIN}/dri/swrast_dri.so: cannot open shared object file: No such file or directory)
libGL error: dlopen /usr/lib/dri/swrast_dri.so failed (/usr/lib/dri/swrast_dri.so: cannot open shared object file: No such file or directory)
libGL error: unable to load driver: swrast_dri.so
libGL error: failed to load driver: swrast
X Error of failed request:  GLXBadCurrentWindow
  Major opcode of failed request:  155 (GLX)
  Minor opcode of failed request:  1 (X_GLXRender)
  Serial number of failed request:  14477
  Current serial number in output stream:  14519
[02/19/17 15:12:14] - Running wine-1.7.22 SketchUp.exe (Working directory : /home/mark/.PlayOnLinux/wineprefix/GoogleSketchUp/drive_c/Program Files/Google/Google SketchUp 8)
fixme:actctx:parse_depend_manifests Could not find dependent assembly L"Microsoft.VC80.MFCLOC" (8.0.50608.0)
fixme:wininet:InternetSetOptionW INTERNET_OPTION_SEND/RECEIVE_TIMEOUT/DATA_SEND_TIMEOUT 30000
fixme:wininet:InternetSetOptionW INTERNET_OPTION_SEND/RECEIVE_TIMEOUT/DATA_SEND_TIMEOUT 30000
fixme:wininet:InternetSetOptionW INTERNET_OPTION_CONNECT_RETRIES 0
fixme:msvcrt:type_info_name_internal_method type_info_node parameter ignored

Intrinsic Alchemy v3.3 Beta-0702 (Dynamic/Release)
Built by <unknown> on Fri Jul 2 00:00:00 2010

fixme:wininet:InternetCheckConnectionW 
fixme:wininet:InternetSetOptionW INTERNET_OPTION_SEND/RECEIVE_TIMEOUT/DATA_SEND_TIMEOUT 30000
fixme:wininet:InternetSetOptionW INTERNET_OPTION_SEND/RECEIVE_TIMEOUT/DATA_SEND_TIMEOUT 30000
fixme:ole:RemUnknown_QueryInterface No interface for iid {00000019-0000-0000-c000-000000000046}
libGL error: dlopen /usr/lib/i386-linux-gnu/dri/i965_dri.so failed (/usr/lib/i386-linux-gnu/dri/i965_dri.so: cannot open shared object file: No such file or directory)
libGL error: dlopen ${ORIGIN}/dri/i965_dri.so failed (${ORIGIN}/dri/i965_dri.so: cannot open shared object file: No such file or directory)
libGL error: dlopen /usr/lib/dri/i965_dri.so failed (/usr/lib/dri/i965_dri.so: cannot open shared object file: No such file or directory)
libGL error: unable to load driver: i965_dri.so
libGL error: driver pointer missing
libGL error: failed to load driver: i965
libGL error: dlopen /usr/lib/i386-linux-gnu/dri/swrast_dri.so failed (/usr/lib/i386-linux-gnu/dri/swrast_dri.so: cannot open shared object file: No such file or directory)
libGL error: dlopen ${ORIGIN}/dri/swrast_dri.so failed (${ORIGIN}/dri/swrast_dri.so: cannot open shared object file: No such file or directory)
libGL error: dlopen /usr/lib/dri/swrast_dri.so failed (/usr/lib/dri/swrast_dri.so: cannot open shared object file: No such file or directory)
libGL error: unable to load driver: swrast_dri.so
libGL error: failed to load driver: swrast
err:winediag:X11DRV_WineGL_InitOpenglInfo Direct rendering is disabled, most likely your 32-bit OpenGL drivers haven't been installed correctly (using GL renderer "Mesa DRI Intel(R) Sandybridge Desktop ", version "1.4 (3.0 Mesa 10.1.3)").
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
X Error of failed request:  GLXBadCurrentWindow
  Major opcode of failed request:  155 (GLX)
  Minor opcode of failed request:  1 (X_GLXRender)
  Serial number of failed request:  14477
  Current serial number in output stream:  14519

Replies

Tuesday 10 October 2017 at 21:28 -
Same errors for me !
Tuesday 10 October 2017 at 21:28 -
Same errors for me !
Tuesday 10 October 2017 at 22:04 -
[10/10/17 21:39:49] - Running wine-1.7.22 --version (Working directory : /home/fanch/.PlayOnLinux/wine/mono)
wine-1.7.22

PlayOnLinux logfile
-------------------
Date: 10/10/17 21:39:49

> PlayOnLinux Version
4.2.11
> uname -a
Linux Ventilo 4.10.0-35-generic #39~16.04.1-Ubuntu SMP Wed Sep 13 09:02:42 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux
> lsb_release -a

> wine --version
wine-1.7.22
> POL_WINEVERSION
1.7.22
> WINEPREFIX
/home/fanch/.PlayOnLinux//wineprefix/GoogleSketchUp
> Distribution
elementary OS 0.4.1 Loki
> glxinfo \| grep rendering
direct rendering: Yes
> glxinfo \| grep renderer
GLX_MESA_multithread_makecurrent, GLX_MESA_query_renderer,
GLX_MESA_multithread_makecurrent, GLX_MESA_query_renderer,
Extended renderer info (GLX_MESA_query_renderer):
OpenGL renderer string: Gallium 0.4 on AMD CAICOS (DRM 2.49.0 / 4.10.0-35-generic, LLVM 4.0.0)
> OpenGL libs (Direct rendering testing)
32bits direct rendering is enabled
64bits direct rendering is enabled

[10/10/17 21:40:14] - Running wine-1.7.22 cmd /c echo %ProgramFiles% (Working directory : /home/fanch/.PlayOnLinux/wine/mono)
C:\Program Files
[10/10/17 21:50:48] - Running wine-1.7.22 start /unix GoogleSketchUpWFR.exe (Working directory : /home/fanch/.PlayOnLinux/tmp/GoogleSketchUp)
fixme:ntdll:NtLockFile I/O completion on lock not implemented yet
err:richedit:ReadStyleSheet skipping optional destination
err:richedit:ReadStyleSheet skipping optional destination
fixme:msi:event_spawn_wait_dialog doing nothing
[10/10/17 21:56:36] - Running wine-1.7.22 regedit /home/fanch/.PlayOnLinux//tmp/GoogleSketchUp/RegModif.reg (Working directory : /home/fanch/.PlayOnLinux/tmp/GoogleSketchUp)
[10/10/17 21:56:36] - Content of /home/fanch/.PlayOnLinux//tmp/GoogleSketchUp/RegModif.reg
-----------
[HKEY_CURRENT_USER\Software\Google\SketchUp8\GLConfig\Display]
"HW_OK"="1"
-----------
[10/10/17 21:56:37] - Running wine-1.7.22 regedit /home/fanch/.PlayOnLinux//tmp/VGA_ID_fix.reg (Working directory : /home/fanch/.PlayOnLinux/tmp/GoogleSketchUp)
[10/10/17 21:56:37] - Content of /home/fanch/.PlayOnLinux//tmp/VGA_ID_fix.reg
-----------
REGEDIT4

[HKEY_CURRENT_USER\Software\Wine\Direct3D]
"VideoPCIVendorID"=dword:00001002
"VideoPCIDeviceID"=dword:00006779
"VideoDriver"="ati2dvag.dll"
-----------
[10/10/17 21:56:37] - Running wine-1.7.22 winepath -u C:\\users\\fanch\\Bureau (Working directory : /home/fanch/.PlayOnLinux/wine/linux-x86)
/home/fanch/.PlayOnLinux//wineprefix/GoogleSketchUp/dosdevices/c:/users/fanch/Bureau
[10/10/17 21:56:47] - Running wine-1.7.22 SketchUp.exe (Working directory : /home/fanch/.PlayOnLinux/wineprefix/GoogleSketchUp/drive_c/Program Files/Google/Google SketchUp 8)
fixme:actctx:parse_depend_manifests Could not find dependent assembly L"Microsoft.VC80.MFCLOC" (8.0.50608.0)
fixme:wininet:InternetSetOptionW INTERNET_OPTION_SEND/RECEIVE_TIMEOUT/DATA_SEND_TIMEOUT 30000
fixme:wininet:InternetSetOptionW INTERNET_OPTION_SEND/RECEIVE_TIMEOUT/DATA_SEND_TIMEOUT 30000
fixme:wininet:InternetSetOptionW INTERNET_OPTION_CONNECT_RETRIES 0
fixme:msvcrt:type_info_name_internal_method type_info_node parameter ignored

Intrinsic Alchemy v3.3 Beta-0702 (Dynamic/Release)
Built by on Fri Jul 2 00:00:00 2010

fixme:wininet:InternetCheckConnectionW
fixme:wininet:InternetSetOptionW INTERNET_OPTION_SEND/RECEIVE_TIMEOUT/DATA_SEND_TIMEOUT 30000
fixme:wininet:InternetSetOptionW INTERNET_OPTION_SEND/RECEIVE_TIMEOUT/DATA_SEND_TIMEOUT 30000
fixme:ieframe:PersistStreamInit_InitNew (0x1ac850)
fixme:ieframe:navigate_url Unsupported args (Flags {VT_I4: 4}; TargetFrameName {VT_BSTR: (null)})
fixme:urlmon:InternetBindInfo_GetBindString not supported string type 20
fixme:ieframe:navigate_url Unsupported args (Flags {VT_I4: 4}; TargetFrameName {VT_BSTR: (null)})
fixme:urlmon:InternetBindInfo_GetBindString not supported string type 20
fixme:ieframe:handle_navigation_error Navigate to error page
fixme:ieframe:handle_navigation_error Navigate to error page
fixme:ieframe:WebBrowser_Stop (0x1ac850)
fixme:ieframe:navigate_url Unsupported args (Flags {VT_I4: 4}; TargetFrameName {VT_BSTR: (null)})
fixme:iphlpapi:NotifyAddrChange (Handle 0x3f5e8c0, overlapped 0x3f5e8cc): stub
fixme:imm:ImmReleaseContext (0x100b6, 0x1d1438): stub
fixme:win:EnumDisplayDevicesW ((null),0,0x33d9e4,0x00000000), stub!
fixme:font:get_outline_text_metrics failed to read full_nameW for font L".\007f"!
fixme:ole:RemUnknown_QueryInterface No interface for iid {00000019-0000-0000-c000-000000000046}
fixme:ntdll:NtLockFile I/O completion on lock not implemented yet
fixme:ieframe:BrowserService_GetTravelLog 0x1c10f0 0x33e644
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 84 of CGID_ShellDocView
fixme:ieframe:ClOleCommandTarget_QueryStatus (0x1ac908)->((null) 1 0x33e604 (nil))
fixme:ieframe:ClOleCommandTarget_QueryStatus command_0: 27, 0x0
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 25
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 26
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 37 of CGID_ShellDocView
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 84 of CGID_ShellDocView
fixme:ieframe:ClientSite_GetContainer (0x1ac908)->(0x33e62c)
fixme:mshtml:nsChannel_GetContentDisposition (0x4b21018)->(0x33dd40)
fixme:mshtml:nsChannel_GetContentDispositionHeader (0x4b21018)->(0x33d560)
fixme:ieframe:ClientSite_GetContainer (0x1ac908)->(0x33f70c)
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 25
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 26
fixme:ieframe:DocHostUIHandler_GetDropTarget (0x1ac908)
fixme:dwmapi:DwmGetCompositionTimingInfo ((nil) 0x33f3c8)
fixme:advapi:RegisterTraceGuidsW (0x6aee5270, 0x48484a8, {509962e0-406b-46f4-99ba-5a009f8d2225}, 3, 0x497cd58, (null), (null), 0x48484d8): stub
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 69 of CGID_Explorer
fixme:ieframe:PropertyNotifySink_OnChanged unimplemented dispid 1005
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 69 of CGID_Explorer
fixme:mshtml:nsChannel_GetContentDispositionHeader (0x1ca360)->(0x33e0d4)
fixme:resource:GetGuiResources (0xffffffff,0): stub
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 26
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 103 of CGID_ShellDocView
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 2315 of group {de4ba900-59ca-11cf-9592-444553540000}
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 35
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 28
fixme:ieframe:ControlSite_OnFocus (0x1ac908)->(1)
fixme:imm:ImmGetOpenStatus (0x1d1438): semi-stub
fixme:ieframe:ControlSite_OnFocus (0x1ac908)->(0)
fixme:ieframe:InPlaceSite_OnInPlaceDeactivateEx fNoRedraw (1) ignored
fixme:mshtml:HlinkTarget_SetBrowseContext (0x1ca5c8)->((nil))
fixme:ieframe:OleInPlaceObject_InPlaceDeactivate (0x1ac850)
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:ieframe:PersistStreamInit_InitNew (0x586a388)
fixme:ieframe:navigate_url Unsupported args (Flags {VT_I4: 4}; TargetFrameName {VT_BSTR: (null)})
fixme:ieframe:BrowserService_GetTravelLog 0x586dd20 0x33b244
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 84 of CGID_ShellDocView
fixme:ieframe:ClOleCommandTarget_QueryStatus (0x586a440)->((null) 1 0x33b204 (nil))
fixme:ieframe:ClOleCommandTarget_QueryStatus command_0: 27, 0x0
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 25
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 26
fixme:mshtml:OleControl_OnAmbientPropertyChange not supported AMBIENT_USERAGENT
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 37 of CGID_ShellDocView
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 84 of CGID_ShellDocView
fixme:ieframe:ClientSite_GetContainer (0x586a440)->(0x33b22c)
fixme:mshtml:nsChannel_GetContentDisposition (0x586f450)->(0x33a940)
fixme:mshtml:nsChannel_GetContentDispositionHeader (0x586f450)->(0x33a160)
fixme:ieframe:ClientSite_GetContainer (0x586a440)->(0x33c30c)
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 25
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 26
fixme:ieframe:navigate_url Unsupported args (Flags {VT_I4: 4}; TargetFrameName {VT_BSTR: (null)})
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wgl:X11DRV_wglChoosePixelFormatARB unused pfAttribFList
fixme:wininet:InternetSetOptionW INTERNET_OPTION_SEND/RECEIVE_TIMEOUT/DATA_SEND_TIMEOUT 30000
fixme:wininet:InternetSetOptionW INTERNET_OPTION_SEND/RECEIVE_TIMEOUT/DATA_SEND_TIMEOUT 30000
fixme:wininet:InternetSetOptionW INTERNET_OPTION_CONNECT_RETRIES 0
fixme:wininet:InternetCheckConnectionW
fixme:ieframe:DocHostUIHandler_GetDropTarget (0x586a440)
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 67 of CGID_ShellDocView
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 63 of CGID_ShellDocView
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 84 of CGID_ShellDocView
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 69 of CGID_Explorer
fixme:ieframe:PropertyNotifySink_OnChanged unimplemented dispid 1005
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 69 of CGID_Explorer
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 26
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 103 of CGID_ShellDocView
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 2315 of group {de4ba900-59ca-11cf-9592-444553540000}
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 35
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 28
fixme:ieframe:ClientSite_GetContainer (0x586a440)->(0x33f3cc)
fixme:mshtml:nsChannel_GetContentDisposition (0x586f3e0)->(0x33ddf0)
fixme:mshtml:nsChannel_GetContentDispositionHeader (0x586f3e0)->(0x33d610)
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 25
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 26
fixme:ieframe:DocHostUIHandler_GetDropTarget (0x586a440)
fixme:jscript:JScriptProperty_SetProperty Unimplemented property 70000001
fixme:jscript:JScriptProperty_SetProperty Unimplemented property 70000002
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 69 of CGID_Explorer
fixme:ieframe:PropertyNotifySink_OnChanged unimplemented dispid 1005
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 69 of CGID_Explorer
fixme:mshtml:nsChannel_GetContentDispositionHeader (0x586a270)->(0x33e354)
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 26
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 103 of CGID_ShellDocView
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 2315 of group {de4ba900-59ca-11cf-9592-444553540000}
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 35
fixme:wininet:InternetCheckConnectionW
fixme:ieframe:navigate_url Unsupported args (Flags {VT_I4: 4}; TargetFrameName {VT_BSTR: (null)})
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 67 of CGID_ShellDocView
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 63 of CGID_ShellDocView
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 84 of CGID_ShellDocView
fixme:ieframe:ClientSite_GetContainer (0x586a440)->(0x33f3cc)
fixme:mshtml:nsChannel_GetContentDisposition (0x588bd50)->(0x33ddf0)
fixme:mshtml:nsChannel_GetContentDispositionHeader (0x588bd50)->(0x33d610)
fixme:jscript:JScript_SetScriptState unimplemented state 3
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 25
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 26
fixme:ieframe:DocHostUIHandler_GetDropTarget (0x586a440)
fixme:jscript:JScriptProperty_SetProperty Unimplemented property 70000001
fixme:jscript:JScriptProperty_SetProperty Unimplemented property 70000002
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 69 of CGID_Explorer
fixme:ieframe:PropertyNotifySink_OnChanged unimplemented dispid 1005
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 69 of CGID_Explorer
fixme:mshtml:nsChannel_GetContentDispositionHeader (0x58b22f8)->(0x33de44)
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 26
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 103 of CGID_ShellDocView
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 2315 of group {de4ba900-59ca-11cf-9592-444553540000}
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 35
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 28
fixme:ieframe:navigate_url Unsupported args (Flags {VT_I4: 4}; TargetFrameName {VT_BSTR: (null)})
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 67 of CGID_ShellDocView
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 63 of CGID_ShellDocView
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 84 of CGID_ShellDocView
fixme:ieframe:ClientSite_GetContainer (0x586a440)->(0x33f3cc)
fixme:mshtml:nsChannel_GetContentDisposition (0x1b20c8)->(0x33ddf0)
fixme:mshtml:nsChannel_GetContentDispositionHeader (0x1b20c8)->(0x33d610)
fixme:jscript:JScript_SetScriptState unimplemented state 3
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 25
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 26
fixme:ieframe:DocHostUIHandler_GetDropTarget (0x586a440)
fixme:jscript:JScriptProperty_SetProperty Unimplemented property 70000001
fixme:jscript:JScriptProperty_SetProperty Unimplemented property 70000002
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 69 of CGID_Explorer
fixme:ieframe:PropertyNotifySink_OnChanged unimplemented dispid 1005
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 69 of CGID_Explorer
fixme:mshtml:nsChannel_GetContentDispositionHeader (0x58b9198)->(0x33de44)
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 26
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 103 of CGID_ShellDocView
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 2315 of group {de4ba900-59ca-11cf-9592-444553540000}
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 35
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 28
fixme:ieframe:navigate_url Unsupported args (Flags {VT_I4: 4}; TargetFrameName {VT_BSTR: (null)})
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 67 of CGID_ShellDocView
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 63 of CGID_ShellDocView
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 84 of CGID_ShellDocView
fixme:ieframe:ClientSite_GetContainer (0x586a440)->(0x33f8dc)
fixme:mshtml:nsChannel_GetContentDisposition (0x588bf28)->(0x33e300)
fixme:mshtml:nsChannel_GetContentDispositionHeader (0x588bf28)->(0x33db20)
fixme:jscript:JScript_SetScriptState unimplemented state 3
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 25
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 26
fixme:ieframe:DocHostUIHandler_GetDropTarget (0x586a440)
fixme:jscript:JScriptProperty_SetProperty Unimplemented property 70000001
fixme:jscript:JScriptProperty_SetProperty Unimplemented property 70000002
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 69 of CGID_Explorer
fixme:ieframe:PropertyNotifySink_OnChanged unimplemented dispid 1005
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 69 of CGID_Explorer
fixme:mshtml:nsChannel_GetContentDispositionHeader (0x58db218)->(0x33e354)
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 26
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 103 of CGID_ShellDocView
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 2315 of group {de4ba900-59ca-11cf-9592-444553540000}
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 35
fixme:ieframe:ClOleCommandTarget_Exec Unimplemented cmdid 28
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
fixme:keyboard:X11DRV_ActivateKeyboardLayout 0x40c040c, 0000: semi-stub!
XIO: fatal IO error 11 (Ressource temporairement non disponible) on X server ":0"
after 375 requests (375 known processed) with 0 events remaining.
XIO: fatal IO error 11 (Ressource temporairement non disponible) on X server ":0"
after 28636 requests (28434 known processed) with 32 events remaining.
pedrorsantos Thursday 3 November 2016 at 13:58
pedrorsantos Anonymous

Message

Hello guys,

I'm a young architect from Portugal. I want to change to elementary, but i cannot work with layout there.

it's possible to work Sketchup and Layout 2016 with playonlinux ?
thanks for the help

Replies

nelup Thursday 5 February 2015 at 11:29
nelup Anonymous

Message

Hello,

I was testing Google SketchUp 8 downloaded by PlayOnLinux v 4.2.2 on Ubuntu v14.04. Program works almost well, but I found problem concerning saving a model. Modeling area stops working after save. A cursor is moving above drawn model, but it is no possible to interract with the model from this moment.

I tested it on Ubuntu/Xubuntu 14.04 x64 and Crunchbang 11 x64. This problem doesn't occur on Crunchbang (Debian). Is some way how to fix it on Ubuntu derived linux. I noticed that I needed to install wine-bin:i386 for Crunchbang in addition.

Thanks.

 nelup

Replies

Thursday 5 February 2015 at 17:37 -
You need to install the 32-bit version of Wine with PlayOnLinux on ANY system you install it on. POL needs 32-bit libraries for almost everything it does. It is not the distro, but likely just a missing 32-bit library that was causing issues previously.
Thursday 5 February 2015 at 17:46 -
Also, upgrade POL to version 4.2.5.
Anonymous
Tuesday 10 February 2015 at 20:08 -
Thanks for advice, but the problem remains the same for Ubuntu. I tested on Ubuntu x64 with POL v 4.2.5 and wine:i386 and on Xubuntu 14.04.1 32bit. Always cursor stops interact with a model after save. No problem on Crunchbang - probably some bug in any ubuntu library.
Anonymous
Friday 13 February 2015 at 8:22 -
Hi, is there any chance to have a newer version of Sketchup? actually we are a t 2015.
Anonymous
Sunday 5 April 2015 at 21:14 -
SketsUp 2015 32 bit trial installer working but program not. Im Using Set_OS "win8" it dosnt install if you not add os to win8
Anonymous
Sunday 5 April 2015 at 21:43 -
Im testing also SketsUp 2014 version it is working a workaround. Using wine 1.7.22 32 bit, os to win7, winecfg to library: riched20 (add) and launchin parameters is /DisableRubyAPI
csanyipal Friday 17 October 2014 at 22:00
csanyipal Anonymous

Message

Hello,

I just installed Google SketchUp on my Arch Linux system and can to run it.

I get the menu and the status line but the drawing area is messy.

Practically I can't see anything that I'm drawing in the area.

I tried some settings to change but without any success.

My videocard is NVIDIA, videoram is 256MB.

I have installed packages: lib32-mesa lib32-mesa-dri lib32-mesa-libgl lib32-mesa-vdpau ..

Is there a solution to solve this problem?

Replies

Anonymous
Wednesday 22 October 2014 at 8:56 -
I would say that it's a problem with your graphics drivers - have you tried with proprietary nvidia drivers ?. You can also try to disable the compositor manager.
rogue-spectre Friday 1 August 2014 at 16:26
rogue-spectre Anonymous

Information

This update has been approved by the team.

Message

Hi again,

    I check the installation, seems ok for all proposed links. I add an extra commentary about the localisation settings if not the same as desktop one. I removed the links for Polish and Turkish as they pointed to the version 6 of Sketchup. I wanted to use POL_Shortcut_InsertBeforeWine to force the localisation via "export LANG=<locale>" but it did not work as i expected. Tell me if i must change something.

 

 
 

Differences

@@ -21,6 +21,7 @@
 TITLE="Google SketchUp"
 PREFIX="GoogleSketchUp"
 WORKING_WINE_VERSION="1.7.22"
+LOCALE="en_EN.utf8" #default localisation
 
 POL_SetupWindow_Init
 POL_Debug_Init
@@ -39,10 +40,51 @@
 if [ "$INSTALL_METHOD" = "DOWNLOAD" ]
 then
 
+POL_SetupWindow_menu "$(eval_gettext 'What language do you want to install?')" "Language Selection" \
+    "English|Deutsch|Español|Português (BR)|Français|???????|Italiano|Nederlands|???|????|????" "|"
+case "$APP_ANSWER" in
+    "English")
+        DOWNLOAD_LINK="http://dl.google.com/sketchup/GoogleSketchUpWEN.exe"
+        LOCALE="en_EN.utf8";;
+    "Deutsch")
+        DOWNLOAD_LINK="http://dl.google.com/sketchup/GoogleSketchUpWDE.exe"
+        LOCALE="de_DE.utf8";;
+    "Español")
+        DOWNLOAD_LINK="http://dl.google.com/sketchup/GoogleSketchUpWES.exe"
+        LOCALE="es_ES.utf8";;
+    "Português (BR)")
+        DOWNLOAD_LINK="http://dl.google.com/sketchup/GoogleSketchUpWPT-BR.exe"
+        LOCALE="pt_BR.utf8";;
+    "Français")
+        DOWNLOAD_LINK="http://dl.google.com/sketchup/GoogleSketchUpWFR.exe"
+        LOCALE="fr_FR.utf8";;
+    "???????")
+        DOWNLOAD_LINK="http://dl.google.com/sketchup/GoogleSketchUpWRU.exe"
+        LOCALE="ru_RU.utf8";;
+    "Italiano")
+        DOWNLOAD_LINK="http://dl.google.com/sketchup/GoogleSketchUpWIT.exe"
+        LOCALE="it_IT.utf8";;
+    "Nederlands")
+        DOWNLOAD_LINK="http://dl.google.com/sketchup/GoogleSketchUpWNL.exe"
+        LOCALE="nl_NL.utf8";;
+    "???") 
+        DOWNLOAD_LINK="http://dl.google.com/sketchup/GoogleSketchUpWKO.exe"
+        LOCALE="ko_KR.utf8";;
+    "????")
+        DOWNLOAD_LINK="http://dl.google.com/sketchup/GoogleSketchUpWZH-TW.exe"
+        LOCALE="zh_TW.utf8";;
+    "????")
+        DOWNLOAD_LINK="http://dl.google.com/sketchup/GoogleSketchUpWZH-CN.exe"
+        LOCALE="zh_CN.utf8";;
+    *)
+        exit 1 ;;
+esac
+
 cd "$POL_System_TmpDir"
-POL_Download "http://dl.google.com/sketchup/GoogleSketchUpWEN.exe" ""
+POL_Download "$DOWNLOAD_LINK" ""
 POL_Wine_WaitBefore "$TITLE"
-POL_Wine start /unix "GoogleSketchUpWEN.exe"
+EXE_FILE="${DOWNLOAD_LINK##*/}"
+POL_Wine start /unix ${EXE_FILE}
 POL_Wine_WaitExit "$TITLE"
 
 fi
@@ -57,6 +99,15 @@
 
 fi
 
+POL_SetupWindow_message "$(eval_gettext 'If you are using localised binary, you must 
+have the correct locale package installed.\n\n
+If the Google SketchUp language differs from your desktop setting you 
+must prefix the launch by forcing your locale.\n
+   - Go to : Configure > Google Sketchup (Shortcut) > Miscellaneous \n\n
+   - Write and adapt the following line depending on your locale in the "Command to exec before running the program" field:\n\n
+      export LANG=<set_your_locale_here>
+')" "$TITLE"
+
 cat << EOF > "$POL_System_TmpDir/RegModif.reg"
 [HKEY_CURRENT_USER\Software\Google\SketchUp8\GLConfig\Display]
 "HW_OK"="1"
@@ -69,5 +120,7 @@
 
 POL_Shortcut "SketchUp.exe" "$TITLE" # "SketchUp.png"
 
+#POL_Shortcut_InsertBeforeWine "$TITLE" "export LANG=$LOCALE" # Force localisation
+
 POL_SetupWindow_Close
-exit
\ No newline at end of file
+exit

New source code

#!/bin/bash
# Date : (2011-11-06 21-34)
# Last revision : (2013-07-11 23-38)
# Wine version used : 1.5.0
# Distribution used to test :
# Author : NSLW & Tutul (update)

# CHANGELOG
# [SuperPlumus] (2012-04-08 07-36)
#   Change Wine version 1.3.7 -> 1.5.0
#   Add HW_OK=1 key in registry
# [SuperPlumus] (2013-06-23 19-37)
#   Update gettext messages
#   Update regedit -> POL_Wine regedit
# [petch] (2014-07-11 23-38)
#   Change Wine version 1.5.0 -> 1.7.22

[ "$PLAYONLINUX" = "" ] && exit
source "$PLAYONLINUX/lib/sources"

TITLE="Google SketchUp"
PREFIX="GoogleSketchUp"
WORKING_WINE_VERSION="1.7.22"
LOCALE="en_EN.utf8" #default localisation

POL_SetupWindow_Init
POL_Debug_Init

POL_SetupWindow_presentation "$TITLE" "Google" "http://sketchup.google.com/" "NSLW" "$PREFIX"

POL_Wine_SelectPrefix "$PREFIX"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"

POL_System_TmpCreate "$PREFIX"

#POL_Call POL_Install_gecko

POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"

if [ "$INSTALL_METHOD" = "DOWNLOAD" ]
then

POL_SetupWindow_menu "$(eval_gettext 'What language do you want to install?')" "Language Selection" \
    "English|Deutsch|Español|Português (BR)|Français|???????|Italiano|Nederlands|???|????|????" "|"
case "$APP_ANSWER" in
    "English")
        DOWNLOAD_LINK="http://dl.google.com/sketchup/GoogleSketchUpWEN.exe"
        LOCALE="en_EN.utf8";;
    "Deutsch")
        DOWNLOAD_LINK="http://dl.google.com/sketchup/GoogleSketchUpWDE.exe"
        LOCALE="de_DE.utf8";;
    "Español")
        DOWNLOAD_LINK="http://dl.google.com/sketchup/GoogleSketchUpWES.exe"
        LOCALE="es_ES.utf8";;
    "Português (BR)")
        DOWNLOAD_LINK="http://dl.google.com/sketchup/GoogleSketchUpWPT-BR.exe"
        LOCALE="pt_BR.utf8";;
    "Français")
        DOWNLOAD_LINK="http://dl.google.com/sketchup/GoogleSketchUpWFR.exe"
        LOCALE="fr_FR.utf8";;
    "???????")
        DOWNLOAD_LINK="http://dl.google.com/sketchup/GoogleSketchUpWRU.exe"
        LOCALE="ru_RU.utf8";;
    "Italiano")
        DOWNLOAD_LINK="http://dl.google.com/sketchup/GoogleSketchUpWIT.exe"
        LOCALE="it_IT.utf8";;
    "Nederlands")
        DOWNLOAD_LINK="http://dl.google.com/sketchup/GoogleSketchUpWNL.exe"
        LOCALE="nl_NL.utf8";;
    "???") 
        DOWNLOAD_LINK="http://dl.google.com/sketchup/GoogleSketchUpWKO.exe"
        LOCALE="ko_KR.utf8";;
    "????")
        DOWNLOAD_LINK="http://dl.google.com/sketchup/GoogleSketchUpWZH-TW.exe"
        LOCALE="zh_TW.utf8";;
    "????")
        DOWNLOAD_LINK="http://dl.google.com/sketchup/GoogleSketchUpWZH-CN.exe"
        LOCALE="zh_CN.utf8";;
    *)
        exit 1 ;;
esac

cd "$POL_System_TmpDir"
POL_Download "$DOWNLOAD_LINK" ""
POL_Wine_WaitBefore "$TITLE"
EXE_FILE="${DOWNLOAD_LINK##*/}"
POL_Wine start /unix ${EXE_FILE}
POL_Wine_WaitExit "$TITLE"

fi
if [ "$INSTALL_METHOD" = "LOCAL" ]
then

cd "$HOME"
POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
POL_Wine_WaitBefore "$TITLE"
POL_Wine start /unix "$APP_ANSWER"
POL_Wine_WaitExit "$TITLE"

fi

POL_SetupWindow_message "$(eval_gettext 'If you are using localised binary, you must 
have the correct locale package installed.\n\n
If the Google SketchUp language differs from your desktop setting you 
must prefix the launch by forcing your locale.\n
   - Go to : Configure > Google Sketchup (Shortcut) > Miscellaneous \n\n
   - Write and adapt the following line depending on your locale in the "Command to exec before running the program" field:\n\n
      export LANG=<set_your_locale_here>
')" "$TITLE"

cat << EOF > "$POL_System_TmpDir/RegModif.reg"
[HKEY_CURRENT_USER\Software\Google\SketchUp8\GLConfig\Display]
"HW_OK"="1"
EOF
POL_Wine regedit "$POL_System_TmpDir/RegModif.reg"

POL_Wine_SetVideoDriver

POL_System_TmpDelete

POL_Shortcut "SketchUp.exe" "$TITLE" # "SketchUp.png"

#POL_Shortcut_InsertBeforeWine "$TITLE" "export LANG=$LOCALE" # Force localisation

POL_SetupWindow_Close
exit

Replies

rogue-spectre Thursday 31 July 2014 at 23:09
rogue-spectre Anonymous

Message

I add some links for different languages in the script. I'm running :

xubuntu 14.04

POL : 4.2.2

- I found the links by tring some variations to the original one, with the help of the script Hearthstone http://www.playonlinux.com/en/topic-11550-Script_Hearthstone.html.

- I checked the installation process specialy for french and spanish, and noticed that the desktop language must be the same the sketchup installer in order to have the program in the wanted language, the installer is in the chosen language.

EDIT: Please do not send script here. Use "I want to send an improvement" instead

 

 

Replies

Anonymous
Thursday 31 July 2014 at 23:13 -
Russian : ???????

Edited by Tinou

petch Friday 11 July 2014 at 23:39
petch
Developer

Warning

This update has not been approved yet by the team.
Use it at your own risk

Message

According to changelogs Wine 1.7.22 seems to have several bugfixes related to Sketchup 8;

Also Wine 1.5.0 has not be recompiled to remove libxcb

Differences

@@ -1,6 +1,6 @@
 #!/bin/bash
 # Date : (2011-11-06 21-34)
-# Last revision : (2013-06-23 19-37)
+# Last revision : (2013-07-11 23-38)
 # Wine version used : 1.5.0
 # Distribution used to test :
 # Author : NSLW & Tutul (update)
@@ -12,13 +12,15 @@
 # [SuperPlumus] (2013-06-23 19-37)
 #   Update gettext messages
 #   Update regedit -> POL_Wine regedit
+# [petch] (2014-07-11 23-38)
+#   Change Wine version 1.5.0 -> 1.7.22
 
 [ "$PLAYONLINUX" = "" ] && exit
 source "$PLAYONLINUX/lib/sources"
 
 TITLE="Google SketchUp"
 PREFIX="GoogleSketchUp"
-WORKING_WINE_VERSION="1.5.0"
+WORKING_WINE_VERSION="1.7.22"
 
 POL_SetupWindow_Init
 POL_Debug_Init

New source code

#!/bin/bash
# Date : (2011-11-06 21-34)
# Last revision : (2013-07-11 23-38)
# Wine version used : 1.5.0
# Distribution used to test :
# Author : NSLW & Tutul (update)

# CHANGELOG
# [SuperPlumus] (2012-04-08 07-36)
#   Change Wine version 1.3.7 -> 1.5.0
#   Add HW_OK=1 key in registry
# [SuperPlumus] (2013-06-23 19-37)
#   Update gettext messages
#   Update regedit -> POL_Wine regedit
# [petch] (2014-07-11 23-38)
#   Change Wine version 1.5.0 -> 1.7.22

[ "$PLAYONLINUX" = "" ] && exit
source "$PLAYONLINUX/lib/sources"

TITLE="Google SketchUp"
PREFIX="GoogleSketchUp"
WORKING_WINE_VERSION="1.7.22"

POL_SetupWindow_Init
POL_Debug_Init

POL_SetupWindow_presentation "$TITLE" "Google" "http://sketchup.google.com/" "NSLW" "$PREFIX"

POL_Wine_SelectPrefix "$PREFIX"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"

POL_System_TmpCreate "$PREFIX"

#POL_Call POL_Install_gecko

POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"

if [ "$INSTALL_METHOD" = "DOWNLOAD" ]
then

cd "$POL_System_TmpDir"
POL_Download "http://dl.google.com/sketchup/GoogleSketchUpWEN.exe" ""
POL_Wine_WaitBefore "$TITLE"
POL_Wine start /unix "GoogleSketchUpWEN.exe"
POL_Wine_WaitExit "$TITLE"

fi
if [ "$INSTALL_METHOD" = "LOCAL" ]
then

cd "$HOME"
POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
POL_Wine_WaitBefore "$TITLE"
POL_Wine start /unix "$APP_ANSWER"
POL_Wine_WaitExit "$TITLE"

fi

cat << EOF > "$POL_System_TmpDir/RegModif.reg"
[HKEY_CURRENT_USER\Software\Google\SketchUp8\GLConfig\Display]
"HW_OK"="1"
EOF
POL_Wine regedit "$POL_System_TmpDir/RegModif.reg"

POL_Wine_SetVideoDriver

POL_System_TmpDelete

POL_Shortcut "SketchUp.exe" "$TITLE" # "SketchUp.png"

POL_SetupWindow_Close
exit

Replies